Loading...
Searching...
No Matches
PTE.h File Reference
`#include <BALL/COMMON/create.h>`
`#include <BALL/DATATYPE/string.h>`
`#include <BALL/CONCEPT/processor.h>`
`#include <BALL/KERNEL/PTE.iC>`

Go to the source code of this file.

## Classes

class | BALL::Element
class | BALL::PTE_
struct | BALL::PTE_::SymbolToElement

## Namespaces

namespace | BALL

## Macros

#define | BALL_ELEMENT_NAME_DEFAULT "Unknown"
#define | BALL_ELEMENT_SYMBOL_DEFAULT "?"
#define | BALL_ELEMENT_GROUP_DEFAULT 0
#define | BALL_ELEMENT_PERIOD_DEFAULT 0
#define | BALL_ELEMENT_ATOMICNUMBER_DEFAULT 0
#define | BALL_ELEMENT_ATOMICWEIGHT_DEFAULT 0
#define | BALL_ELEMENT_ATOMICRADIUS_DEFAULT 0
#define | BALL_ELEMENT_COVALENTRADIUS_DEFAULT 0
#define | BALL_ELEMENT_VANDERWAALSRADIUS_DEFAULT 0
#define | BALL_ELEMENT_ELECTRONEGATIVITY_DEFAULT 0
#define | BALL_ELEMENT_IS_METAL_DEFAULT false

## Functions

BALL_EXPORT std::ostream & | BALL::operator<< (std::ostream &s, const Element &element)

## Variables

BALL_EXPORT PTE_ | BALL::PTE

## Macro Definition Documentation

## BALL_ELEMENT_ATOMICNUMBER_DEFAULT

#define BALL_ELEMENT_ATOMICNUMBER_DEFAULT 0

Definition at line 26 of file PTE.h.

## BALL_ELEMENT_ATOMICRADIUS_DEFAULT

#define BALL_ELEMENT_ATOMICRADIUS_DEFAULT 0

Definition at line 28 of file PTE.h.

## BALL_ELEMENT_ATOMICWEIGHT_DEFAULT

#define BALL_ELEMENT_ATOMICWEIGHT_DEFAULT 0

Definition at line 27 of file PTE.h.

## BALL_ELEMENT_COVALENTRADIUS_DEFAULT

#define BALL_ELEMENT_COVALENTRADIUS_DEFAULT 0

Definition at line 29 of file PTE.h.

## BALL_ELEMENT_ELECTRONEGATIVITY_DEFAULT

#define BALL_ELEMENT_ELECTRONEGATIVITY_DEFAULT 0

Definition at line 31 of file PTE.h.

## BALL_ELEMENT_GROUP_DEFAULT

#define BALL_ELEMENT_GROUP_DEFAULT 0

Definition at line 24 of file PTE.h.

## BALL_ELEMENT_IS_METAL_DEFAULT

#define BALL_ELEMENT_IS_METAL_DEFAULT false

Definition at line 32 of file PTE.h.

## BALL_ELEMENT_NAME_DEFAULT

#define BALL_ELEMENT_NAME_DEFAULT "Unknown"

Definition at line 22 of file PTE.h.

## BALL_ELEMENT_PERIOD_DEFAULT

#define BALL_ELEMENT_PERIOD_DEFAULT 0

Definition at line 25 of file PTE.h.

## BALL_ELEMENT_SYMBOL_DEFAULT

#define BALL_ELEMENT_SYMBOL_DEFAULT "?"

Definition at line 23 of file PTE.h.

## BALL_ELEMENT_VANDERWAALSRADIUS_DEFAULT

#define BALL_ELEMENT_VANDERWAALSRADIUS_DEFAULT 0

Definition at line 30 of file PTE.h.